ERR_put_error(3) | OpenSSL | ERR_put_error(3)

# NAME

ERR_put_error, ERR_add_error_data - record an error

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

#include <openssl/err.h> void ERR_put_error(int lib, int func, int reason, const char *file, int line); void ERR_add_error_data(int num, ...);

# DESCRIPTION

ERR_put_error() adds an error code to the thread's error queue. It signals that the error of reason code reason occurred in function func of library lib, in line number line of file. This function is usually called by a macro.

ERR_add_error_data() associates the concatenation of its num string arguments with the error code added last.

ERR_load_strings(3) can be used to register error strings so that the application can a generate human-readable error messages for the error code.

# RETURN VALUES

ERR_put_error() and ERR_add_error_data() return no values.

# SEE ALSO

openssl_err(3), ERR_load_strings(3)

# HISTORY

ERR_put_error() is available in all versions of SSLeay and OpenSSL. ERR_add_error_data() was added in SSLeay 0.9.0.

July 20, 2009 | 1.0.1-dev